export interface ILRUCache<K, V> {
    get(key: K): V | undefined;
    set(key: K, value: V): void;
    clear(): void;
}
export declare class LRUCache<K, V> implements ILRUCache<K, V> {
    capacity: number;
    cache: Map<K, V>;
    constructor(capacity: number);
    get(key: K): V | undefined;
    set(key: K, value: V): void;
    clear(): void;
}
